Date: Wednesday, November 30, 2022 @ 21:58:19
  Author: heftig
Revision: 462832

archrelease: copy trunk to testing-x86_64

Added:
  mutter/repos/testing-x86_64/
  mutter/repos/testing-x86_64/PKGBUILD
    (from rev 462831, mutter/trunk/PKGBUILD)

----------+
 PKGBUILD |   98 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 98 insertions(+)

Copied: mutter/repos/testing-x86_64/PKGBUILD (from rev 462831, 
mutter/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD                             (rev 0)
+++ testing-x86_64/PKGBUILD     2022-11-30 21:58:19 UTC (rev 462832)
@@ -0,0 +1,98 @@
+# Maintainer: Jan Alexander Steffens (heftig) <[email protected]>
+# Contributor: Ionut Biru <[email protected]>
+# Contributor: Michael Kanis <mkanis_at_gmx_dot_de>
+
+pkgbase=mutter
+pkgname=(mutter mutter-docs)
+pkgver=43.1+r2+g6a962803e
+pkgrel=2
+pkgdesc="A window manager for GNOME"
+url="https://gitlab.gnome.org/GNOME/mutter";
+arch=(x86_64)
+license=(GPL)
+depends=(dconf gobject-introspection-runtime gsettings-desktop-schemas
+         libcanberra startup-notification libsm gnome-desktop libxkbcommon-x11
+         gnome-settings-daemon libgudev libinput pipewire xorg-xwayland 
graphene
+         libxkbfile libsysprof-capture lcms2 colord)
+makedepends=(gobject-introspection git egl-wayland meson xorg-server
+             wayland-protocols sysprof gi-docgen)
+checkdepends=(xorg-server-xvfb wireplumber python-dbusmock zenity)
+options=(debug)
+_commit=6a962803e85ff160ab33c6ee42fc009731c5029f  # gnome-43
+source=("git+https://gitlab.gnome.org/GNOME/mutter.git#commit=$_commit";)
+sha256sums=('SKIP')
+
+pkgver() {
+  cd mutter
+  git describe --tags | sed 's/[^-]*-g/r&/;s/-/+/g'
+}
+
+prepare() {
+  cd mutter
+
+  # https://bugs.archlinux.org/task/76570
+  # https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/6054
+  # https://gitlab.gnome.org/GNOME/mutter/-/merge_requests/2694
+  git cherry-pick -n 61cc31c3ce37d6a1d977f6cdccc3703ca824a51e
+}
+
+build() {
+  CFLAGS="${CFLAGS/-O2/-O3} -fno-semantic-interposition"
+  LDFLAGS+=" -Wl,-Bsymbolic-functions"
+
+  arch-meson mutter build \
+    -D egl_device=true \
+    -D wayland_eglstream=true \
+    -D docs=true \
+    -D installed_tests=false
+  meson compile -C build
+}
+
+_check() (
+  export XDG_RUNTIME_DIR="$PWD/rdir" GSETTINGS_SCHEMA_DIR="$PWD/build/data"
+  mkdir -p -m 700 "$XDG_RUNTIME_DIR"
+  glib-compile-schemas "$GSETTINGS_SCHEMA_DIR"
+
+  pipewire &
+  _p1=$!
+
+  wireplumber &
+  _p2=$!
+
+  trap "kill $_p1 $_p2; wait" EXIT
+
+  meson test -C build --print-errorlogs -t 3
+)
+
+check() {
+  dbus-run-session xvfb-run -s '-nolisten local +iglx -noreset' \
+    bash -c "$(declare -f _check); _check"
+}
+
+_pick() {
+  local p="$1" f d; shift
+  for f; do
+    d="$srcdir/$p/${f#$pkgdir/}"
+    mkdir -p "$(dirname "$d")"
+    mv "$f" "$d"
+    rmdir -p --ignore-fail-on-non-empty "$(dirname "$f")"
+  done
+}
+
+package_mutter() {
+  provides=(libmutter-11.so)
+  groups=(gnome)
+
+  meson install -C build --destdir "$pkgdir"
+
+  _pick docs "$pkgdir"/usr/share/mutter-*/doc
+}
+
+package_mutter-docs() {
+  pkgdesc+=" (documentation)"
+  depends=()
+
+  mv docs/* "$pkgdir"
+}
+
+# vim:set sw=2 sts=-1 et:

Reply via email to